## org.exist.util.serializer
Class IndentingXMLWriter

    java.lang.Object
      org.exist.util.serializer.XMLWriter
          org.exist.util.serializer.IndentingXMLWriter

Direct Known Subclasses:
  XHTMLWriter

public class IndentingXMLWriter
extends XMLWriter

Constructor Summary
`IndentingXMLWriter()`
`IndentingXMLWriter(java.io.Writer writer)`

Method Summary
`void` `characters(java.lang.CharSequence chars)`
`void` `comment(java.lang.CharSequence data)`
`void` `documentType(java.lang.String name, java.lang.String publicId, java.lang.String systemId)`
`void` `endElement(QName qname)`
`void` `endElement(java.lang.String qname)`
`void` `processingInstruction(java.lang.String target, java.lang.String data)`
`void` `setOutputProperties(java.util.Properties properties)` Set the output properties.
`void` `setWriter(java.io.Writer writer)` Set a new writer.
`void` `startElement(QName qname)`
`void` `startElement(java.lang.String qname)`

Methods inherited from class org.exist.util.serializer.XMLWriter
`attribute, attribute, cdataSection, characters, endDocument, namespace, setDefaultNamespace, startDocument`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndentingXMLWriter

    public IndentingXMLWriter()

### IndentingXMLWriter

    public IndentingXMLWriter(java.io.Writer writer)

Parameters:
  `writer` -

Method Detail

### setWriter

    public void setWriter(java.io.Writer writer)

  Description copied from class: `XMLWriter`
  Set a new writer. Calling this method will reset the state of the object.

  Overrides:
    `setWriter` in class `XMLWriter`
  Parameters:
    `writer` -

### startElement

    public void startElement(java.lang.String qname)
                      throws javax.xml.transform.TransformerException

  Overrides:
    `startElement` in class `XMLWriter`
  Throws:
    `javax.xml.transform.TransformerException`

### startElement

    public void startElement(QName qname)
                      throws javax.xml.transform.TransformerException

  Overrides:
    `startElement` in class `XMLWriter`
  Throws:
    `javax.xml.transform.TransformerException`

### endElement

    public void endElement(java.lang.String qname)
                    throws javax.xml.transform.TransformerException

  Overrides:
    `endElement` in class `XMLWriter`
  Throws:
    `javax.xml.transform.TransformerException`

### endElement

    public void endElement(QName qname)
                    throws javax.xml.transform.TransformerException

  Overrides:
    `endElement` in class `XMLWriter`
  Throws:
    `javax.xml.transform.TransformerException`

### characters

    public void characters(java.lang.CharSequence chars)
                    throws javax.xml.transform.TransformerException

  Overrides:
    `characters` in class `XMLWriter`
  Throws:
    `javax.xml.transform.TransformerException`

### comment

    public void comment(java.lang.CharSequence data)
                 throws javax.xml.transform.TransformerException

  Overrides:
    `comment` in class `XMLWriter`
  Throws:
    `javax.xml.transform.TransformerException`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws javax.xml.transform.TransformerException

  Overrides:
    `processingInstruction` in class `XMLWriter`
  Throws:
    `javax.xml.transform.TransformerException`

### documentType

    public void documentType(java.lang.String name,
                             java.lang.String publicId,
                             java.lang.String systemId)
                      throws javax.xml.transform.TransformerException

  Overrides:
    `documentType` in class `XMLWriter`
  Throws:
    `javax.xml.transform.TransformerException`

### setOutputProperties

    public void setOutputProperties(java.util.Properties properties)

  Description copied from class: `XMLWriter`
  Set the output properties.

  Overrides:
    `setOutputProperties` in class `XMLWriter`
  Parameters:
    `properties` - outputProperties

Copyright (C) Wolfgang Meier. All rights reserved.